foomatic-4.0.4-5.el6_7.x86_64.rpm


Advertisement

Description

foomatic - Database of printers and printer drivers

Property Value
Distribution CentOS 6
Repository CentOS x86_64
Package filename foomatic-4.0.4-5.el6_7.x86_64.rpm
Package name foomatic
Package version 4.0.4
Package release 5.el6_7
Package architecture x86_64
Package type rpm
Category System Environment/Libraries
Homepage http://www.linuxprinting.org
License GPLv2+
Maintainer -
Download size 251.01 KB
Installed size 743.73 KB
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate driver description files and printer queues for CUPS, LPD,
LPRng, and PDQ using the database. There is also the possibility to
read the PJL options out of PJL-capable laser printers and take them
into account at the driver description file generation.
There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).
The site http://www.linuxprinting.org/ is based on this database.

Alternatives

Package Version Architecture Repository
foomatic-4.0.4-5.el6_7.i686.rpm 4.0.4 i686 CentOS
foomatic - - -

Requires

Name Value
/bin/bash -
/usr/bin/perl -
cups -
fileutils -
foomatic-db -
ghostscript -
initscripts -
libc.so.6(GLIBC_2.4)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -
libz.so.1()(64bit) -
perl >= 5.8.1
perl(:MODULE_COMPAT_5.10.1) -
perl(Cwd) -
perl(Data::Dumper) -
perl(Encode) -
perl(Exporter) -
perl(FileHandle) -
perl(Getopt::Long) -
perl(Getopt::Std) -
perl(POSIX) -
perl(strict) -
perl(vars) -
rtld(GNU_HASH) -

Provides

Name Value
config(foomatic) = 4.0.4-5.el6_7
foomatic = 4.0.4-5.el6_7
foomatic(x86-64) = 4.0.4-5.el6_7
perl(Foomatic::DB) -
perl(Foomatic::Defaults) -
perl(Foomatic::PPD) -
perl(Foomatic::UIElem) -

Download

Type URL
Mirror mirror.centos.org
Binary Package foomatic-4.0.4-5.el6_7.x86_64.rpm
Source Package foomatic-4.0.4-5.el6_7.src.rpm

Install Howto

Install foomatic rpm package:

# yum install foomatic

Files

Path
/etc/foomatic/defaultspooler
/etc/foomatic/filter.conf
/usr/bin/foomatic-combo-xml
/usr/bin/foomatic-compiledb
/usr/bin/foomatic-configure
/usr/bin/foomatic-datafile
/usr/bin/foomatic-perl-data
/usr/bin/foomatic-ppd-options
/usr/bin/foomatic-ppd-to-xml
/usr/bin/foomatic-ppdfile
/usr/bin/foomatic-printjob
/usr/bin/foomatic-rip
/usr/bin/foomatic-searchprinter
/usr/lib/cups/backend/beh
/usr/lib/cups/driver/foomatic
/usr/lib/cups/filter/foomatic-rip
/usr/sbin/foomatic-addpjloptions
/usr/sbin/foomatic-cleanupdrivers
/usr/sbin/foomatic-extract-text
/usr/sbin/foomatic-fix-xml
/usr/sbin/foomatic-getpjloptions
/usr/sbin/foomatic-kitload
/usr/sbin/foomatic-nonumericalids
/usr/sbin/foomatic-preferred-driver
/usr/sbin/foomatic-printermap-to-gutenprint-xml
/usr/sbin/foomatic-replaceoldprinterids
/usr/share/doc/foomatic-4.0.4/
/usr/share/doc/foomatic-4.0.4/foomatic-db-engine-4.0.4/COPYING
/usr/share/doc/foomatic-4.0.4/foomatic-filters-4.0.4/COPYING
/usr/share/man/man1/foomatic-combo-xml.1.gz
/usr/share/man/man1/foomatic-compiledb.1.gz
/usr/share/man/man1/foomatic-configure.1.gz
/usr/share/man/man1/foomatic-perl-data.1.gz
/usr/share/man/man1/foomatic-ppd-options.1.gz
/usr/share/man/man1/foomatic-ppdfile.1.gz
/usr/share/man/man1/foomatic-printjob.1.gz
/usr/share/man/man1/foomatic-rip.1.gz
/usr/share/man/man8/foomatic-addpjloptions.8.gz
/usr/share/man/man8/foomatic-getpjloptions.8.gz
/usr/share/man/man8/foomatic-kitload.8.gz
/usr/share/man/man8/foomatic-preferred-driver.8.gz
/usr/share/perl5/vendor_perl/Foomatic/DB.pm
/usr/share/perl5/vendor_perl/Foomatic/Defaults.pm
/usr/share/perl5/vendor_perl/Foomatic/PPD.pm
/usr/share/perl5/vendor_perl/Foomatic/UIElem.pm
/var/cache/foomatic/

Changelog

2016-01-22 - Jiri Popelka <jpopelka@redhat.com> - 4.0.4-5
- Also consider back tick and semicolon as illegal shell escape characters.
- CVE-2015-8327, CVE-2015-8560
2015-05-29 - Tim Waugh <twaugh@redhat.com> - 4.0.4-4
- Prevent foomatic-rip overrun (bug #1214534).
2013-06-14 - Tim Waugh <twaugh@redhat.com> - 4.0.4-3
- Too few arguments for format in a debugging string (bug #726385).
- Fixed perl installation locations for build (bug #661770).
2011-08-08 - Tim Waugh <twaugh@redhat.com> - 4.0.4-2
- Applied patch to fix improper sanitization of command line options
(CVE-2011-2964, bug #727016).
2010-03-18 - Tim Waugh <twaugh@redhat.com> - 4.0.4-1
- Updated to 4.0.4 (bug #570234).  No longer buildrequires
ghostscript-devel (but requires ghostscript) or
foomatic-filters-int-options patch.
2010-03-03 - Tim Waugh <twaugh@redhat.com> - 4.0.3-10
- Removed old explicit provides for perl(Foomatic::GrovePath).
- Fixed macro in changelog.
- Avoid mixed spaces and tabs.
- Ship COPYING files.
- Added comments for sources.
- Use Requires not PreReq (bug #225768).
2010-01-19 - Tim Waugh <twaugh@redhat.com> - 4.0.3-9
- Fix for handling integer options (bug #556871).
2009-12-15 - Tim Waugh <twaugh@redhat.com> - 4.0.3-8
- Really fixed installation path for perl module (bug #547702).
2009-12-04 - Tim Waugh <twaugh@redhat.com> - 4.0.3-7
- Fixed installation path for perl module.
2009-12-04 - Stepan Kasal <skasal@redhat.com> - 4.0.3-6
- rebuild against perl 5.10.1

See Also

Package Description
foomatic-db-4.0-8.20091126.el6.noarch.rpm Database of printers and printer drivers
foomatic-db-filesystem-4.0-8.20091126.el6.noarch.rpm Directory layout for the foomatic package
foomatic-db-ppds-4.0-8.20091126.el6.noarch.rpm PPDs from printer manufacturers
fop-0.95-4.4.el6.x86_64.rpm XSL-driven print formatter
fop-javadoc-0.95-4.4.el6.x86_64.rpm Javadoc for fop
fprintd-0.1-22.git04fd09cfa.el6.x86_64.rpm D-Bus service for Fingerprint reader access
fprintd-devel-0.1-22.git04fd09cfa.el6.noarch.rpm Development files for fprintd
fprintd-pam-0.1-22.git04fd09cfa.el6.i686.rpm PAM module for fingerprint authentication
fprintd-pam-0.1-22.git04fd09cfa.el6.x86_64.rpm PAM module for fingerprint authentication
freeglut-2.6.0-1.el6.i686.rpm A freely licensed alternative to the GLUT library
freeglut-2.6.0-1.el6.x86_64.rpm A freely licensed alternative to the GLUT library
freeglut-devel-2.6.0-1.el6.i686.rpm Freeglut developmental libraries and header files
freeglut-devel-2.6.0-1.el6.x86_64.rpm Freeglut developmental libraries and header files
freeipmi-1.2.1-10.el6.i686.rpm IPMI remote console and system management software
freeipmi-1.2.1-10.el6.x86_64.rpm IPMI remote console and system management software
Advertisement
Advertisement